Get a page of inventory items

​

Query Parameters

  • The page index of the search.

  • The number of inventory items to be returned in the response. Returns pages of up to 500 records.

  • Serials of inventory items to return. Separate multiple values with commas. Only exact matches are returned.

  • The partner ID.

  • The partner product ID.

  • The product group ID.

  • The warehouse ID.

  • The warehouse product ID.

  • The ID of the warehouse zone.

  • The ID of the warehouse location.

  • The reference number of the pallet the inventory product is in.

  • The ID of the product attribute

  • Batch of the inventory product item

  • Include dangerous goods class values in the response when true.

Responses

  • application/json
Request Example for get/v1/inventory-items
curl 'https://api.consignlyhq.com/v1/inventory-items?PageIndex=1&PageSize=25&Serials=S1001%2C%20S1002'
{
  "index": 1,
  "total": 1,
  "items": [
    {
      "warehouseProductItemId": "123e4567-e89b-12d3-a456-426614174000",
      "warehouseProductId": "123e4567-e89b-12d3-a456-426614174000",
      "partnerId": "123e4567-e89b-12d3-a456-426614174000",
      "partnerProductId": "123e4567-e89b-12d3-a456-426614174000",
      "partnerProductCode": null,
      "partnerProductName": null,
      "productGroupName": null,
      "serial": null,
      "isSerialRequired": true,
      "serialTrackingMode": "enum (None = 1, FullCapture = 2, ReleaseCapture = 3)",
      "batch": null,
      "bestBeforeDate": "date (YYYY-MM-DD)",
      "expiryDate": "date (YYYY-MM-DD)",
      "packagingDate": "date (YYYY-MM-DD)",
      "productionDate": "date (YYYY-MM-DD)",
      "sellByDate": "date (YYYY-MM-DD)",
      "availableQuantity": 1,
      "consignmentHoldQuantity": 1,
      "jobHoldQuantity": 1,
      "generalHoldQuantity": 1,
      "qaHoldQuantity": 1,
      "returnHoldQuantity": 1,
      "availableVolumeM3": 1,
      "availableWeightKG": 1,
      "onHandQuantity": 1,
      "onHandVolumeM3": 1,
      "onHandWeightKG": 1,
      "warehouseLocationId": "123e4567-e89b-12d3-a456-426614174000",
      "warehouseLocationName": null,
      "warehouseLocationType": "enum (Racking = 1, Bulk = 2, Quarantine = 3, Transitional = 4)",
      "logisticUnitNumber": null,
      "logisticUnitReferenceNumber": null,
      "logisticUnitSsccNumber": null,
      "receivedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
      "attributes": [
        {
          "productAttributeId": "123e4567-e89b-12d3-a456-426614174000",
          "name": null,
          "description": null
        }
      ],
      "dangerousGood": {
        "unNumber": null,
        "hazchemFireCode": "enum (I = 1, II = 2, III = 3, IV = 4, II_ARF = 5, III_ARF = 6)",
        "hazchemSafetyCode": "enum (P = 1, R = 2, S = 3, S_Black = 4, T = 5, T_Black = 6, W = 7, X = 8, Y = 9, Y_Black = 10, Z = 11, Z_Black = 12)",
        "hazchemEvacuate": null,
        "dgHazardClass": [
          "string"
        ]
      }
    }
  ]
}